Summary: Configure KDM for D0 Desktop
Name: fermi-d0-kdm
Version: 1.0
Release: 1
Copyright: FermiLab
Group: Fermi/D0
URL: http://www-d0.fnal.gov/d0unix/linux/
Distribution: Fermi Linux v6.1.1
Vendor: Fermilab
Packager: Simon Epsteyn
Requires: /bin/sh, kdebase
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-buildroot

%description

Configure KDE Display Manager for D0 Desktop

#%prep
#%setup

#%build

%install

#echo $RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_ROOT

%clean
/bin/rm -rf $RPM_BUILD_ROOT

# Pre-install script
#%pre

# Post-install script
%post

## Xsession

if [ -e /etc/X11/xdm/Xsession ]; then
	/bin/cp -f /etc/X11/xdm/Xsession /etc/X11/xdm/Xsession.d0sav
	/bin/chmod -f 755 /etc/X11/xdm/Xsession
	/bin/chown -f root.root /etc/X11/xdm/Xsession
fi

/bin/cat <<EOF >/etc/X11/xdm/Xsession
#!/bin/bash -login
# (c) 1999, 2000 Red Hat, Inc.
# (c) 2000 FermiLab, Simon Epsteyn

# redirect errors to a file in user's home directory if we can
for errfile in "\$HOME/.xsession-errors" "\${TMPDIR-/tmp}/xses-\$USER" "/tmp/xses-\$USER"
do
    if ( cp /dev/null "\$errfile" 2> /dev/null )
    then
	chmod 600 "\$errfile"
	exec > "\$errfile" 2>&1
	break
    fi
done

xsetroot -solid '#356390'

# clean up after xbanner
if [ -x /usr/X11R6/bin/freetemp ]; then
    /usr/X11R6/bin/freetemp
fi

userresources=\$HOME/.Xresources 
usermodmap=\$HOME/.Xmodmap 
sysresources=/etc/X11/xinit/Xresources 
sysmodmap=/etc/X11/xinit/Xmodmap 

# backward compatibility
oldsysresources=/usr/X11R6/lib/X11/xinit/.Xresources
oldsysmodmap=/usr/X11R6/lib/X11/xinit/.Xmodmap

# merge in defaults
if [ -f \$oldsysresources ]; then
    xrdb -merge \$oldsysresources
fi

if [ -f \$sysresources ]; then
    xrdb -merge \$sysresources
fi

if [ -f \$userresources ]; then
    xrdb -merge \$userresources
fi

# merge in keymaps
if [ -f \$sysxkbmap ]; then
    setxkbmap `cat \$sysxkbmap`
    XKB_IN_USE=yes
fi

if [ -f \$userxkbmap ]; then
    setxkbmap `cat \$userxkbmap`
    XKB_IN_USE=yes
fi

if [ -z \$XKB_IN_USE -a ! -L /etc/X11/X ]; then
    if grep '^exec.*/Xsun' /etc/X11/X > /dev/null 2>&1 && [ -f /etc/X11/XF86Config ]; then
	xkbsymbols=`sed -n -e 's/^[ 	]*XkbSymbols[ 	]*"\(.*\)".*\$/\1/p'`
	if [ -n "\$xkbsymbols" ]; then
	    setxkbmap -symbols "\$xkbsymbols"
	    XKB_IN_USE=yes
	fi
    fi
fi

# xkb and xmodmap don't play nice together
if [ -z \$XKB_IN_USE ]; then
    if [ -f \$oldsysmodmap ]; then
	xmodmap \$oldsysmodmap
    fi

    if [ -f \$sysmodmap ]; then
	xmodmap \$sysmodmap
    fi

    if [ -f \$usermodmap ]; then
	xmodmap \$usermodmap
    fi
fi

unset XKB_IN_USE

# run all system xinitrc shell scripts.
for i in /etc/X11/xinit/xinitrc.d/* ; do
    if [ -x \$i ]; then
	. \$i
    fi
done

# now, we see if xdm/gdm/kdm has asked for a specific environment
case \$# in
1)
    case \$1 in
    failsafe|FailSafe)
	exec xterm -geometry 80x24-0-0
	;;
    gnome|GNOME)
	exec gnome-session
	;;
    kde|KDE|default|Default)
	exec startkde
	;;
    anotherlevel|AnotherLevel)
        # we assume that switchdesk is installed.
	exec /usr/share/apps/switchdesk/Xclients.anotherlevel
	;;
    windowmaker|wmaker|WMaker|WindowMaker)
	exec wmaker
	;;
    esac
esac

# otherwise, take default action
if [ -x "\$HOME/.xsession" ]; then
    exec "\$HOME/.xsession"
elif [ -x "\$HOME/.Xclients" ]; then
    exec "\$HOME/.Xclients"
elif [ -x /etc/X11/xinit/Xclients ]; then
    exec /etc/X11/xinit/Xclients
else
    # should never get here; failsafe fallback
    exec xsm
fi
EOF

## kdmrc

if [ -e /usr/share/config/kdmrc ]; then
	/bin/cp -f /usr/share/config/kdmrc /usr/share/config/kdmrc.d0sav
	/bin/chmod -f 644 /usr/share/config/kdmrc
	/bin/chown -f root.root /usr/share/config/kdmrc
fi

/bin/cat <<EOF >/usr/share/config/kdmrc
# KDE Config File
[KDMDESKTOP]
BackGroundPicture=/usr/share/wallpapers/
BackGroundPictureMode=None
BackGroundColor1=27,99,143
BackGroundColor2=0,0,255
BackGroundColorMode=Plain
[Locale]
Language=C
[KDM]
SortUsers=true
NoUsers=root;bin;daemon;adm;lp;sync;shutdown;halt;mail;news;uucp;operator;games;gopher;ftp;nobody;xfs;
GreetString=Fermi Linux [HOSTNAME]
UserView=false
ShutdownButton=ConsoleOnly
FailFont=helvetica,12,5,iso-8859-1,75,0
LogoPixmap=/usr/share/pixmaps/fermi/fermi-kdm.png
GreetFont=charter,24,5,iso-8859-1,50,0
StdFont=Helvetica,12,5,iso-8859-1,50,0
SessionTypes=KDE;WindowMaker;AnotherLevel;Default;FailSafe;
Restart=/sbin/reboot
GUIStyle=Windows
ShutDown=/sbin/halt
EOF

# Pre-uninstall script
#%preun

# Post-uninstall script
%postun

## Xsession

if [ -e /etc/X11/xdm/Xsession ]; then
        /bin/mv -f /etc/X11/xdm/Xsession.d0sav /etc/X11/xdm/Xsession
        /bin/chmod -f 755 /etc/X11/xdm/Xsession
        /bin/chown -f root.root /etc/X11/xdm/Xsession
fi                                                                              

if [ -e /usr/share/config/kdmrc ]; then
        /bin/mv -f /usr/share/config/kdmrc.d0sav /usr/share/config/kdmrc
        /bin/chmod -f 644 /usr/share/config/kdmrc
        /bin/chown -f root.root /usr/share/config/kdmrc
fi                                                                              

# Files owned by this package
%files

%defattr(-,root,root)
